import { BinaryReader, BinaryWriter } from "../../../binary";
import { DeepPartial } from "../../../helpers";
/**
 * MsgIncreaseCounter defines a count Msg service counter.
 * @name MsgIncreaseCounter
 * @package cosmos.counter.v1
 * @see proto type: cosmos.counter.v1.MsgIncreaseCounter
 */
export interface MsgIncreaseCounter {
    /**
     * signer is the address that controls the module (defaults to x/gov unless overwritten).
     */
    signer: string;
    /**
     * count is the number of times to increment the counter.
     */
    count: bigint;
}
export interface MsgIncreaseCounterProtoMsg {
    typeUrl: "/cosmos.counter.v1.MsgIncreaseCounter";
    value: Uint8Array;
}
/**
 * MsgIncreaseCounter defines a count Msg service counter.
 * @name MsgIncreaseCounterAmino
 * @package cosmos.counter.v1
 * @see proto type: cosmos.counter.v1.MsgIncreaseCounter
 */
export interface MsgIncreaseCounterAmino {
    /**
     * signer is the address that controls the module (defaults to x/gov unless overwritten).
     */
    signer: string;
    /**
     * count is the number of times to increment the counter.
     */
    count: string;
}
export interface MsgIncreaseCounterAminoMsg {
    type: "cosmos-sdk/increase_counter";
    value: MsgIncreaseCounterAmino;
}
/**
 * MsgIncreaseCountResponse is the Msg/Counter response type.
 * @name MsgIncreaseCountResponse
 * @package cosmos.counter.v1
 * @see proto type: cosmos.counter.v1.MsgIncreaseCountResponse
 */
export interface MsgIncreaseCountResponse {
    /**
     * new_count is the number of times the counter was incremented.
     */
    newCount: bigint;
}
export interface MsgIncreaseCountResponseProtoMsg {
    typeUrl: "/cosmos.counter.v1.MsgIncreaseCountResponse";
    value: Uint8Array;
}
/**
 * MsgIncreaseCountResponse is the Msg/Counter response type.
 * @name MsgIncreaseCountResponseAmino
 * @package cosmos.counter.v1
 * @see proto type: cosmos.counter.v1.MsgIncreaseCountResponse
 */
export interface MsgIncreaseCountResponseAmino {
    /**
     * new_count is the number of times the counter was incremented.
     */
    new_count: string;
}
export interface MsgIncreaseCountResponseAminoMsg {
    type: "cosmos-sdk/MsgIncreaseCountResponse";
    value: MsgIncreaseCountResponseAmino;
}
/**
 * MsgIncreaseCounter defines a count Msg service counter.
 * @name MsgIncreaseCounter
 * @package cosmos.counter.v1
 * @see proto type: cosmos.counter.v1.MsgIncreaseCounter
 */
export declare const MsgIncreaseCounter: {
    typeUrl: string;
    aminoType: string;
    is(o: any): o is MsgIncreaseCounter;
    isAmino(o: any): o is MsgIncreaseCounterAmino;
    encode(message: MsgIncreaseCounter, writer?: BinaryWriter): BinaryWriter;
    decode(input: BinaryReader | Uint8Array, length?: number): MsgIncreaseCounter;
    fromPartial(object: DeepPartial<MsgIncreaseCounter>): MsgIncreaseCounter;
    fromAmino(object: MsgIncreaseCounterAmino): MsgIncreaseCounter;
    toAmino(message: MsgIncreaseCounter): MsgIncreaseCounterAmino;
    fromAminoMsg(object: MsgIncreaseCounterAminoMsg): MsgIncreaseCounter;
    toAminoMsg(message: MsgIncreaseCounter): MsgIncreaseCounterAminoMsg;
    fromProtoMsg(message: MsgIncreaseCounterProtoMsg): MsgIncreaseCounter;
    toProto(message: MsgIncreaseCounter): Uint8Array;
    toProtoMsg(message: MsgIncreaseCounter): MsgIncreaseCounterProtoMsg;
    registerTypeUrl(): void;
};
/**
 * MsgIncreaseCountResponse is the Msg/Counter response type.
 * @name MsgIncreaseCountResponse
 * @package cosmos.counter.v1
 * @see proto type: cosmos.counter.v1.MsgIncreaseCountResponse
 */
export declare const MsgIncreaseCountResponse: {
    typeUrl: string;
    aminoType: string;
    is(o: any): o is MsgIncreaseCountResponse;
    isAmino(o: any): o is MsgIncreaseCountResponseAmino;
    encode(message: MsgIncreaseCountResponse, writer?: BinaryWriter): BinaryWriter;
    decode(input: BinaryReader | Uint8Array, length?: number): MsgIncreaseCountResponse;
    fromPartial(object: DeepPartial<MsgIncreaseCountResponse>): MsgIncreaseCountResponse;
    fromAmino(object: MsgIncreaseCountResponseAmino): MsgIncreaseCountResponse;
    toAmino(message: MsgIncreaseCountResponse): MsgIncreaseCountResponseAmino;
    fromAminoMsg(object: MsgIncreaseCountResponseAminoMsg): MsgIncreaseCountResponse;
    toAminoMsg(message: MsgIncreaseCountResponse): MsgIncreaseCountResponseAminoMsg;
    fromProtoMsg(message: MsgIncreaseCountResponseProtoMsg): MsgIncreaseCountResponse;
    toProto(message: MsgIncreaseCountResponse): Uint8Array;
    toProtoMsg(message: MsgIncreaseCountResponse): MsgIncreaseCountResponseProtoMsg;
    registerTypeUrl(): void;
};
